Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Sep 2014, 20:02
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Business
Zint 3.2.1 - barcode designer
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
Dingo


Joined: 11 Dec 2007
Posts: 1417
Location: somewhere at the end of rainbow...

PostPosted: Tue 25 May 2010, 17:28    Post subject:  Zint 3.2.1 - barcode designer
Subject description: CLI version
 

Zint is A barcode encoding library supporting over 50 symbologies including Code 128, Data Matrix, USPS OneCode, EAN-128, UPC/EAN, ITF, QR Code, Code 16k, PDF417, MicroPDF417, LOGMARS, Maxicode, GS1 DataBar, Aztec, Composite Symbols and more.

I compiled a CLI version you can download here (stripped executable and libs)

http://dokupuppylinux.co.cc/programs:barcode

Zint comes also with a QT4 GUI. I tried to compile statically in order to make then a sfs for GUI version, but my attempt has been unsuccessful

I attach however the sources if someone is interested to try QT4 statical compilation

Zint 3.2.1 sources

_________________
replace .co.cc with .info to get access to stuff I posted in forum
dropbox 2GB free
OpenOffice for Puppy Linux
Back to top
View user's profile Send private message Visit poster's website 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Thu 27 May 2010, 07:41    Post subject:  

Dear dingo,

I also tried to compile the qt4 gui and it bombed, so you are not alone. Something wrong there either in the makefile or the source itself. I didn't spend too much time trying to figure out why. The CLI bit compiles fine but the required lib it also produces is pretty large (over 1 MB).

I am certain that a decent gui for the CLI prog can be done in bash and gtkdialog without too much effort. The CLI prog does not have any qt dependencies, so this would be the way to go, I think.

With kind regards,
vovchik
Back to top
View user's profile Send private message 
Patriot


Joined: 15 Jan 2009
Posts: 734

PostPosted: Thu 27 May 2010, 15:15    Post subject: zint 2.3.2 rc1  

Hmmm .....

It seems that zint-qt requires qt 4.4 and above ... I whacked in a patch for qt4.3. The zint pet below still requires the qt4 library pet.


Rgds
zint-2.3.2rc1-i486.pet
Description  zint 2.3.2 rc1 qt4-GUI binary pet
pet

 Download 
Filename  zint-2.3.2rc1-i486.pet 
Filesize  582.55 KB 
Downloaded  841 Time(s) 
zint-2.3.2-rc1-pe.tar.gz
Description  zint 2.3.2 rc1 whacked source
gz

 Download 
Filename  zint-2.3.2-rc1-pe.tar.gz 
Filesize  491.53 KB 
Downloaded  720 Time(s) 
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Business
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1124s ][ Queries: 13 (0.0490s) ][ GZIP on ]